==TODO list and notes==

* If plugin is running on single mode make sure to send DIRECTLY to receiver and not thru bungee as bungee is no guarantee
* A system in the sign manager to save sign to file for later usage
* **Make sure to register player to game upon joining of the game thru either bungee or single mode and send info package**
* **Delete falling block if has special metadata** DTR_fb
* **Make sure to block explosion block damage** dtr_tnt